package com.axis.innovators.box.plugins;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 这是创建基础参数的注解
 * @author tzdwindows 7
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface PluginMeta {
    /**
     * 插件ID
     */
    String id();
    /**
     * 创建显示名称
     */
    String name();
    /**
     * 支持的版本
     */
    String[] supportedVersions();
    /**
     * 插件描述
     */
    String description();
    /**
     * 插件图标
     */
    String icon() default "";
    /**
     * 插件注册名称(确保其唯一性)
     */
    String registeredName() default "no_registration";
}